

#   Package for NetVar Access

set PACKAGE NetVarCmd
set VERSION 1.0

global tcl_platform 

switch $tcl_platform(os) {
   "Windows NT" {
       package ifneeded $PACKAGE $VERSION  \
          [load [file join $env(MIDASBASE) MIDASpackages $PACKAGE$VERSION Win [set PACKAGE].dll]]
   }
   SunOS {
       package ifneeded $PACKAGE $VERSION  \
          [load [file join $env(MIDASBASE) MIDASpackages $PACKAGE$VERSION SunOS lib[set PACKAGE].so]]
   }
   Linux {
       switch $tcl_platform(machine) {
           i686 -
           intel {
               package ifneeded $PACKAGE $VERSION  \
                   [load [file join $env(MIDASBASE) MIDASpackages $PACKAGE$VERSION Linux lib[set PACKAGE].so]]
           }
           ppc {
               package ifneeded $PACKAGE $VERSION  \
                   [load [file join $env(MIDASBASE) MIDASpackages $PACKAGE$VERSION linux-mvme5500 lib[set PACKAGE].so]]
           }
           default {"unknown or unsupported machine - $tcl_platform(machine)"}
       }
   }
   default {"unknown or unsupported os - $tcl_platform(os)"}
}

