
#    MIDAS Access Server  for Calculator service

global env
source [file join $env(MIDASBASE) TclHttpd tcl MIDASDomainHandler.tcl]       ;#  load default support procedures

# Use namespaces to isolate your methods
namespace eval urn:Calculator {

#    proc add {a b} {return [list [list rc int 0] [list result double [expr $a+$b]]]}

    proc add {a b} {return [rpcvar::rpcvar double [expr $a+$b]]}
    proc sub {a b} {return [rpcvar::rpcvar double [expr $a-$b]]}
    proc mul {a b} {return [rpcvar::rpcvar double [expr $a*$b]]}
    proc div {a b} {return [rpcvar::rpcvar double [expr $a/$b]]}
    proc pow {a b} {return [rpcvar::rpcvar double [expr $a**$b]]}

    # We have to publish the public methods...

     SOAP::export add
     SOAP::export sub
     SOAP::export mul
     SOAP::export div
     SOAP::export pow
}

# register this service with tclhttpd
puts [SOAP::Domain::register -prefix /Calculator -namespace urn:Calculator -uri urn:Calculator
]


proc ::SOAP::Domain::MIDAS_SOAPDomainHandler_/Calculator {optsname sock args} {   \
    ::SOAP::Domain::MIDAS_SOAPDomainHandler_/DefaultAccessServer $optsname $sock $args}

